/*
 * This file is part of Composer.
 *
 * Composer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Composer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Composer; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */

package org.gnu.composer.CommonTools;

/**
 * This class contains methods that will be
 * helpful in debugging an application.
 * 
 */
public class DebugTools
{
	/**
	 * Returns stack trace, for a given thread, in the
	 * form of a string.
	 * @param thread - Thread to trace
	 * @return the stack trace in a string.
	 */
	public static String currentStackTrace(Thread thread)
	{
		StackTraceElement [] stack = thread.getStackTrace();
		String stackTrace = "";
		for(int index = 0; index < stack.length; index++)
		{
			stackTrace += stack[index] + "\n";
		}
		return stackTrace;
	}
	
	/**
	 * @return the current stack trace of calling thread
	 * in a string.
	 */
	public static String currentStackTrace()
	{
		return currentStackTrace(Thread.currentThread());
	}
	
}
