/*
 * This file is part of Composer.
 *
 * Composer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Composer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Composer; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */

package org.gnu.composer.DB;

import java.util.LinkedList;

/**
 * A holder of all tracks in a given disc.
 * 
 */
public class Disc 
{
	private LinkedList<Track> tracks_;
	
	/**
	 * Constructor to create a blank disc
	 */
	public Disc()
	{
		tracks_ = new LinkedList<Track>();
	}
	
	/**
	 * Add a track to the given disc
	 * @param track
	 */
	public void addTrack(Track track)
	{
		tracks_.add(track);
	}
	
	/**
	 * @return Array of all tracks that are associated 
	 * with this disc.
	 */
	public Track [] tracks()
	{
		Object [] allObjects = tracks_.toArray();
		Track  [] allTracks  = new Track[allObjects.length];
		for(int index = 0; index < allObjects.length; index++)
		{
			allTracks[index] = (Track) allObjects[index];
		}
		
		return allTracks;
	}
	
	public int size()
	{
		return tracks_.size();
	}
}
