/*
 * This file is part of Composer.
 *
 * Composer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Composer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Composer; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */
 
#ifndef BRAVOPROACCESS_H
#define BRAVOPROACCESS_H

#include <stdlib.h>
#include <stdio.h>

/**
 * Formats and sends a command to the BravoPro. command
 * represents the command to send. Please see the 
 * java class org.gnu.composer.BravoProApi.BravoProCommands
 * for a list of command numbers.
 *
 * @param command - command number to send
 * @param bravoProHandle - opened file to the BravoPro
 */
void sendCommand(unsigned char command, FILE * bravoProHandle);

/**
 * Sends a pre-formatted command to the BravoPro. command
 * represents an array of bytes to send
 *
 * @param command - array of bytes to send
 * @param sizeOfCommand - length of command array
 * @param bravoProHandle - opened file to the BravoPro
 */
void sendCommand(unsigned char * command, int sizeOfCommand, FILE * bravoProHandle);

#endif
