/*
 * This file is part of Composer.
 *
 * Composer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Composer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Composer; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */

package org.gnu.composer.RuntimeSettings;

import java.io.File;

/**
 * This class is a holder for all global settings which are
 * passed into the java vm at startup. Mostly these show where
 * specific directories can be found that are used during
 * runtime.
 * 
 */
public class RuntimeSettings 
{
	public static String testOutputRoot()
	{
		return new File(System.getProperty("TestOutputDir","test/tmpTestDir")).getAbsolutePath() + "/";
	}
	
	public static String cfgRoot()
	{
		return new File(System.getProperty("CfgRoot","cfg")).getAbsolutePath() + "/";
	}
	
	public static String logRoot()
	{
		return new File(System.getProperty("LogRoot","log")).getAbsolutePath() + "/";
	}
	
	public static String buildRoot()
	{
		return new File(System.getProperty("BuildRoot","build")).getAbsolutePath() + "/";
	}
	
	public static String binRoot()
	{
		return new File(System.getProperty("BinRoot","bin")).getAbsolutePath() + "/";
	}
}
