/*
 * This file is part of Composer.
 *
 * Composer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Composer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Composer; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA 
 */

package org.gnu.composer.PrinterAccessTest;

import org.gnu.composer.PrinterAccess.ByteMath;
import org.gnu.composer.Tester.Tester;

public class PrinterAccessTest extends Tester
{
	public static void main(String [] args)
	{
		printTestInfo(
			"PrinterAccessTest",
			"Tests the different printer access tools work correctly");
		
		testConvByteToInt();
		
		testPassed(true);
	}
	
	/**
	 * Tests that can properly convert a byte to an int
	 */
	public static void testConvByteToInt()
	{
		boolean success = true;
		
		printStepInfo(
			"testConvByteToInt",
			"Tests that can properly convert a byte to an int");
		
		for(int index = 0; index <= 255; index++)
		{
			int returned = ByteMath.convToUnsigned((byte)(0xFF & index));
			if(index != returned)
			{
				System.out.println("Could not convert " + index + ", got " + returned);
				success = false;
			}
		}
		
		stepPassed(success);
	}
}
